Partage
  • Partager sur Facebook
  • Partager sur Twitter

Xcode sur Sierra

    2 février 2021 à 10:46:58

    Bonjour,

    Récemment je suis passé de Sierra à Catalina sur mon mac. Enfaite je voulais télécharger Xcode mais apparement ce n'était pas possible sur Sierra. Cependant avec cette installation, plusieurs de mes utilitaires de code ne fonctionne plus comme par exemple le d'éboueur Gdb ou l'utilitaire Valgrind. C'est embêtant car j'en ai vraiment besoin, savez vous s'il est possible de repasser sur Sierra et que je puisse quand même utiliser Xcode ?

    Ou alors d'installer valgrind sur Catalina ?

    Merci :)

    -
    Edité par Wakate-joker 2 février 2021 à 10:59:47

    • Partager sur Facebook
    • Partager sur Twitter
      4 février 2021 à 13:14:02

      Je ne comprends pas tout.

      Tu es passé sur Catalina, d'accord mais alors pourquoi tu parles de Sierra ?

      Il est vrai que valgrind n'est pas supporté depuis catalina, mais Xcode fournit aussi l'utilitaire “Instruments” et il est plutôt bien fichu, tu peux aussi voir les leaks et les problèmes mémoires. La chaine de compilation est passée à LLVM car Apple souhaite retirer ses projets GNU ou sous licences GPL et sur certains points LLVM est bien meilleur.

      Il me semble qu'il est toujours possible d'utiliser gdb, mais il faut l'installer à part (via brew par exemple). Mais LLDB est vraiment bien fait, pourquoi s'en priver ? Il faut juste réapprendre à l'utiliser.

      Pour le développement, tu peux aussi utiliser des sanitizers qui permettent de voir les problèmes au runtime. Par exemple en compilant avec -fsanitize=address,undefined.

      • Partager sur Facebook
      • Partager sur Twitter

      l'azerty est aux dispositions ce que subversion est aux SCM

        12 février 2021 à 20:45:47

        salut, ça pourrait t'aider

        https://developer.apple.com/download/more/

        • Partager sur Facebook
        • Partager sur Twitter

        Xcode sur Sierra

        × Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
        × Attention, ce sujet est très ancien. Le déterrer n'est pas forcément approprié. Nous te conseillons de créer un nouveau sujet pour poser ta question.
        • Editeur
        • Markdown